TldRuleSet.Attribute (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.tld, class: TldRuleSet, class: Attribute

# Class TldRuleSet.Attribute

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TldRuleSet.Attribute

Enclosing class:
  `TldRuleSet`

public static class TldRuleSet.Attribute extends Object
Intermediate representation of a tag attribute during TLD parsing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDeferredMethod()`
  Marks the attribute as a deferred method.
  `void`
  `setDeferredValue()`
  Marks the attribute as a deferred value.
  `void`
  `setDescription(String description)`
  Sets the attribute description.
  `void`
  `setExpectedTypeName(String expectedTypeName)`
  Sets the expected type name for deferred attributes.
  `void`
  `setFragment(boolean fragment)`
  Sets whether the attribute is a fragment type.
  `void`
  `setMethodSignature(String methodSignature)`
  Sets the method signature for deferred method attributes.
  `void`
  `setName(String name)`
  Sets the attribute name.
  `void`
  `setRequestTime(boolean requestTime)`
  Sets whether the attribute is evaluated at request time.
  `void`
  `setRequired(boolean required)`
  Sets whether the attribute is required.
  `void`
  `setType(String type)`
  Sets the attribute type, with short name resolution.
  `TagAttributeInfo`
  `toTagAttributeInfo()`
  Converts this intermediate attribute representation to a TagAttributeInfo.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setName

    public void setName(String name)
    Sets the attribute name.
    Parameters:
      `name` - the attribute name

  - ### setRequired

    public void setRequired(boolean required)
    Sets whether the attribute is required.
    Parameters:
      `required` - true if required

  - ### setType

    public void setType(String type)
    Sets the attribute type, with short name resolution.
    Parameters:
      `type` - the type name

  - ### setRequestTime

    public void setRequestTime(boolean requestTime)
    Sets whether the attribute is evaluated at request time.
    Parameters:
      `requestTime` - true if request-time

  - ### setFragment

    public void setFragment(boolean fragment)
    Sets whether the attribute is a fragment type.
    Parameters:
      `fragment` - true if fragment

  - ### setDescription

    public void setDescription(String description)
    Sets the attribute description.
    Parameters:
      `description` - the description

  - ### setDeferredValue

    public void setDeferredValue()
    Marks the attribute as a deferred value.

  - ### setDeferredMethod

    public void setDeferredMethod()
    Marks the attribute as a deferred method.

  - ### setExpectedTypeName

    public void setExpectedTypeName(String expectedTypeName)
    Sets the expected type name for deferred attributes.
    Parameters:
      `expectedTypeName` - the expected type name

  - ### setMethodSignature

    public void setMethodSignature(String methodSignature)
    Sets the method signature for deferred method attributes.
    Parameters:
      `methodSignature` - the method signature

  - ### toTagAttributeInfo

    public TagAttributeInfo toTagAttributeInfo()
    Converts this intermediate attribute representation to a TagAttributeInfo.
    Returns:
      the TagAttributeInfo